%define DATE 060926
%define libpfm_release 4
Summary: a performance monitoring library for Linux/ia64
Name: libpfm
Version: 3.2
Release: 0.%{DATE}.%{libpfm_release}%{?dist}
License: MIT-style
Group: Development/Libraries
ExclusiveArch: ia64 %{ix86} x86_64
ExclusiveOS: linux
AutoReqProv: no
Source: http://prdownloads.sourceforge.net/perfmon2/%{name}-%{version}-%{DATE}.tar.gz
Patch1: libpfm-compat.patch
Patch2: libpfm-3.2-showreginfo.patch
Patch3: libpfm-3.2-rpm_opt.patch
Patch4: libpfm-3.2-man3.patch
BuildPreReq: ncurses-devel
Prefix: %{_prefix}
BuildRoot: %{_tmppath}/%{name}-%{version}-root

%description
This package contains a library to develop performance monitoring 
applications using the Performance Monitor Unit (PMU) available on
various processors.

%package devel
Summary: the Linux performance library (libpfm) development files.
Group: Development/Libraries

%description devel
The performance monitoring library (libpfm) is used to develop 
performance monitoring applications using the Performance Monitoring 
Unit (PMU) available on various processors. This package provides the
files necessary for development of applications.
It requires a kernel perfmon-2.x subsystem.

Requires: ncurses

%prep
%setup -q -n %{name}-%{version}-%{DATE}
#%patch1 -p1 -b .compat
#%patch2 -p1 -b .showreginfo
%patch3 -p1 -b .rpm_opt
%patch4 -p1 -b .man3

%build
make	PREFIX=/usr DESTDIR=%{buildroot} LIBDIR=%{_libdir}

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}
make install  PREFIX=/usr DESTDIR=%{buildroot} LIBDIR=%{_libdir}

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig
%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc README
%attr(755,root,root) %{_libdir}/libpfm.so.%{PACKAGE_VERSION}.0


%files devel
%defattr(-,root,root)
%doc README
%doc %{_mandir}/man3/*
%{_libdir}/libpfm.a
%{_prefix}/include/*

%changelog
* Wed Mar 14 2007 Eddy Nigg <eddy_nigg@startcom.org>
- Rebuild for StartCom Linux 5.0.x

* Tue Jan 16 2007 Will Cohen <wcohen@redhat.com> - 3.2-0.060926.4
- Correct 32-bit vs. 64-bit library issues. Resolves: rhbz#222707

* Tue Jan 16 2007 Will Cohen <wcohen@redhat.com> - 3.2-0.060926.3
- Correct 32-bit vs. 64-bit library issues. Resolves: rhbz#222707

* Sun Oct 1 2006 Will Cohen <wcohen@redhat.com> - 3.2-0.060926.2
- Eliminate unneeded libpfm-compat.patch.

* Sun Oct 1 2006 Will Cohen <wcohen@redhat.com> - 3.2-0.060926.1
- Update to libpfm-3.2-060926.

* Tue Sep 19 2006 Will Cohen <wcohen@redhat.com> - 3.2-0.060621.10
- Make sure fix works on i386. (#205221)

* Tue Sep 19 2006 Will Cohen <wcohen@redhat.com> - 3.2-0.060621.9
- Make sure libraries put in correct directory. (#205221)

* Wed Jul 12 2006 Jesse Keating <jkeating@redhat.com> - 3.2-0.060621.8.1
- rebuild

* Sat Jul 8 2006 Will Cohen <wcohen@redhat.com>
- Avoid pulling in the example ELF executable into /usr/share. (#198001)
- Mark man pages as documentation.

* Tue Jun 27 2006 Will Cohen <wcohen@redhat.com>
- Add ncurses requires.
- Add ncurses-devel buildprereq.

* Mon Jun 26 2006 Will Cohen <wcohen@redhat.com>
- Make sure that CFLAGS in pfmlib/lib/ is used.
- Separate build and install processes.
- Clean up the descriptions.

* Mon Jun 26 2006 Will Cohen <wcohen@redhat.com>
- Update to libpfm-3.2-060621.

* Wed Jun 14 2006 Will Cohen <wcohen@redhat.com>
- Update to libpfm-3.2-060613.

* Fri May 05 2006 Will Cohen <wcohen@redhat.com>
- fno-strict-aliasing so ia64 builds.

* Fri May 05 2006 Will Cohen <wcohen@redhat.com>
- make sure that perfmon_compat.h installed for ia64.

* Thu May 04 2006 Will Cohen <wcohen@redhat.com>
- Update to libpfm-3.2-060421.

* Thu Feb 09 2006 Florian La Roche <laroche@redhat.com>
- remove empty scripts

* Tue Feb 07 2006 Jesse Keating <jkeating@redhat.com> - 3.0-4.2
- rebuilt for new gcc4.1 snapshot and glibc changes

* Fri Dec 09 2005 Jesse Keating <jkeating@redhat.com>
- rebuilt

* Mon Mar 14 2005 Will Cohen <wcohen@redhat.com>
- Bump rebuild with gcc4.

* Tue Oct 26 2004 Will Cohen <wcohen@redhat.com>
- Correct ownership of files.

* Mon Sep 27 2004 Will Cohen <wcohen@redhat.com>
- Correct spec file for build system.

* Mon Dec 1  2003 Stephane Eranian <eranian@hpl.hp.com>
- release 3.0 final version
* Thu Jan 02  2003 Stephane Eranian <eranian@hpl.hp.com>
- release final 2.0 version
* Fri Dec 20  2002 Stephane Eranian <eranian@hpl.hp.com>
- final 2.0 release
* Thu Dec 05  2002 Stephane Eranian <eranian@hpl.hp.com>
- initial release of the library as a standalone package
- see ChangeLog for actual log
